0

When I tried to install testdrive on my ubuntu by using terminal this message appeared:

E:The package linux-image-extra-4.4.0-37-generic needs to be reinstalled 

and I can't find an archive for it. Then i went to google and tried to find some solution and found that I have to change something in software sources when I went there I found an alert message

"this is a serious problem please inform developer" 

and in details it was written "E:The package linux-image-extra-4.4.0-37-generic needs to be reinstalled but I can't find an archive for it.

  • Which version of Ubuntu are you using ? – Jaime Sep 9 '17 at 15:39
0

The linux-image-extra-4.4.0-37-generic package was deleted from the Ubuntu repositories at September 7th of 2016.

I suppose you are trying to install the Ubuntu's QA Testdrive using apt-get. I Think you must upgrade your system before trying to install the software.

To upgrade your Ubuntu (probably a 14.04), you may try a dist-upgrade instead of a simple upgrade

sudo apt-get update
sudo apt-get dist-upgrade 
sudo apt-get autoremove

and then install the Testdrive

sudo apt-get install testdrive

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.